/* Scrutari - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets;


/**
 *
 * @author Vincent Calame
 */
public interface ConfigErrorKey {

    public final static String INIT_PARAMETER = "configerror_initparameter";
    public final static String MISSING_CONF_FILE = "configerror_conffile_missing";
    public final static String CONF_FILE_DIRECTORY = "configerror_conffile_dir";
    public final static String CONF_FILE_IOERROR = "configerror_conffile_io";
    public final static String PARSER_CONFIG = "configerror_parseconfig";
    public final static String XML_PARSE = "configerror_conffile_xml";
    public final static String XML_CONFDIR_MISSING = "configerror_xml_confdir_missing";
    public final static String XML_VARDIR_MISSING = "configerror_xml_vardir_missing";
    public final static String XML_PATH_NOTEXIST = "configerror_xml_path_notexist";
    public final static String XML_PATH_NOTDIR = "configerror_xml_path_notdir";
    public final static String XML_UUID_MISSING = "configerror_xml_uuid_missing";
}
