/* ScrutariLib_DB - Copyright (c) 2011-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.api;

import net.scrutari.datauri.ScrutariDataURI;
import net.scrutari.datauri.tree.URITree;


/**
 *
 * @author Vincent Calame
 */
public interface DataCoder {

    public int getCode(ScrutariDataURI scrutariDataURI);

    public int checkCode(ScrutariDataURI scrutariDataURI);

    public boolean hasNewURI();

    public URITree toURITree();

    public URITree getNewURITree();

}
