/* ScrutariLib_DB - Copyright (c) 2012-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.api.caches;

import net.scrutari.lexie.FicheLexification;
import net.scrutari.lexie.LexieOccurrencesList;
import net.scrutari.lexie.MotcleLexification;
import net.scrutari.lexie.ScrutariLexieUnitList;


/**
 *
 * @author Vincent Calame
 */
public interface LexieCacheWriter {

    public void cacheScrutariLexieUnitList(int langInteger, ScrutariLexieUnitList scrutariUnitList);

    public void cacheLexieOccurrencesList(long lexieId, int subsetCode, LexieOccurrencesList lexieOccurencesList);

    public void cacheFicheLexification(int codefiche, FicheLexification ficheLexification);

    public void cacheMotcleLexification(int codemotcle, MotcleLexification motcleLexification);

    public LexieCacheReaderFactory endCacheWrite();

}
