/* ScrutariLib_DB - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.tools.lexies;

import net.mapeadores.util.text.collation.CollationUnit;


/**
 *
 * @author Vincent Calame
 */
public class LexieOccurrence {

    private long lexieId;
    private CollationUnit collationUnit;

    public LexieOccurrence(long lexieId, CollationUnit collationUnit) {
        this.collationUnit = collationUnit;
        this.lexieId = lexieId;
    }

    public CollationUnit getCollationUnit() {
        return collationUnit;
    }

    public long getLexieId() {
        return lexieId;
    }

}
