/* ScrutariLib_SearchEngine - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.operands;

import net.scrutari.db.api.CodeMessageKeys;


/**
 *
 * @author Vincent Calame
 */
public interface OperandMessageKeys extends CodeMessageKeys {

    public final static String UNKNOWN_OPERAND_TYPE = "unknownOperandType";
    public final static String MALFORMED_DATE = "malformedDate";
    public final static String UNKNOWN_FICHESEARCHRESULT = "unknownFicheSearchResult";
    public final static String EMPTY_SEARCHTOKEN = "emptySearchToken";
    public final static String UNCLOSED_QUOTE = "unclosedQuote";
    public final static String UNEXPECTED_SPACE = "unexpectedSpace";
    public final static String MISSING_WORD = "missingWord";
    public final static String NOT_LETTERORDIGIT_CHARACTER = "notLetterOrDigitCharacter";
    public final static String WRONG_SCOPE = "wrongScope";
    public final static String UNKNOWN_ATTRIBUTE = "unknownAttribute";
    public final static String MALFORMED_ADD_OPERAND = "malformedAddOperand";
}
