/* ScrutariLib_Supermotcle - Copyright (c) 2009-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.supermotcle.api;

import net.mapeadores.util.text.collation.CollationUnit;
import net.scrutari.db.api.codes.ElementCodeList;


/**
 *
 * @author Vincent Calame
 */
public interface Supermotcle {

    public int getLangInteger();

    public int getCode();

    public CollationUnit getCollationUnit();

    public ElementCodeList getCodemotcleList();

    public int getIndexationCount();

    public int getSupermotcleIndexationCount();

    public SupermotcleIndexation getSupermotcleIndexation(int i);

}
