/* SctServer_API - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.storage;

import net.scrutari.db.api.DataAccess;
import net.scrutari.searchengine.QId;
import net.scrutari.searchengine.api.result.FicheSearchSource;
import net.scrutari.searchengine.tools.operands.filters.OperandConverterParameters;


/**
 *
 * @author Vincent Calame
 */
public interface QIdStorage {

    public FicheSearchSource getFicheSearchSource(OperandConverterParameters operandConverterParameters, QId qId);

    public void saveFicheSearchSource(DataAccess dataAccess, FicheSearchSource ficheSearchSource);

}
