/* SctServer - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;


/**
 *
 * @author Vincent Calame
 */
public interface Parameters {

    public final static String TYPE = "type";
    public final static String MODE = "mode";
    public final static String LANG_UI = "langui";
    public final static String Q = "q";
    public final static String Q_MODE = "q-mode";
    public final static String UNION_Q_MODE = "union";
    public final static String INTERSECTION_Q_MODE = "intersection";
    public final static String OPERATION_Q_MODE = "operation";
    public final static String Q_ID = "qid";
    public final static String BASE_LIST = "baselist";
    public final static String CORPUS_LIST = "corpuslist";
    public final static String THESAURUS_LIST = "thesauruslist";
    public final static String FICHE_LIST = "fichelist";
    public final static String LANG_LIST = "langlist";
    public final static String FICHE_FIELDS = "fichefields";
    public final static String MOTCLE_FIELDS = "motclefields";
    public final static String FILTER = "flt";
    public final static String INDEXATION_FILTER = "flt-indexation";
    public final static String DATE_FILTER = "flt-date";
    public final static String QID_FILTER = "flt-qid";
    public final static String ADD_FILTER = "flt-add";
    public final static String INTITULES = "intitules";
    public final static String START = "start";
    public final static String LIMIT = "limit";
    public final static String ORIGIN = "origin";
    public final static String WARNINGS = "warnings";
    public final static String MOTCLE_LIST = "motclelist";
    public final static String PONDERATION = "ponderation";
    public final static String RANDOM = "random";
    public final static String ALL = "all";
}
