/* ScrutariLib_SearchEngine - Copyright (c) 2010-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.seeker;


/**
 *
 * @author Vincent Calame
 */
public interface SeekOptions {

    public int[] getLangIntegerArray();

    public boolean isWithFiches();

    public boolean isWithMotscles();

    public int getDefaultSearchType();

    public boolean isAllLang();

    /**
     * N'est jamais nul mais peut-être de longueur nulle.
     */
    public int[] getCodecorpusArray();

    /**
     * N'est jamais nul mais peut-être de longueur nulle.
     */
    public int[] getCodethesaurusArray();

    public boolean acceptFiche(int codefiche);

    public boolean acceptMotcle(int codemotcle);

}
