/* ScrutariLib_Supermotcle - Copyright (c) 2010-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.supermotcle.api;

import net.scrutari.db.api.codes.CodeList;


/**
 *
 * @author Vincent Calame
 */
public interface SupermotcleIndexation {

    public int getCodeBase();

    public int getIndexationCount();

    public int getCorpusCount();

    public int getCodeCorpus(int i);

    public CodeList getFicheCodeListByCorpus(int i);

}
