/* ScrutariLib_Supermotcle - Copyright (c) 2009-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.supermotcle.api;

import java.util.List;
import net.mapeadores.util.text.SearchSequence;
import net.mapeadores.util.text.collation.map.SearchResultUnitList;
import net.mapeadores.util.text.collation.map.ValueFilter;


/**
 *
 * @author Vincent Calame
 */
public interface SupermotcleMap {

    public Supermotcle getSupermotcleByCode(int code);

    public SearchResultUnitList search(String s, int searchType, ValueFilter valueFilter);

    public List<Supermotcle> getSupermotcleList(SearchSequence filterSearchSequence);

}
