/* SctServer - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;

import net.scrutari.db.api.codes.CodeList;


/**
 *
 * @author Vincent Calame
 */
public class CountFilter {

    private CodeList corpusCodeList;
    private CodeList baseCodeList;
    private int[] langIntegerArray;

    public CountFilter() {
    }

    public CodeList getCorpusCodeList() {
        return corpusCodeList;
    }

    public void setCorpusCodeList(CodeList corpusCodeList) {
        this.corpusCodeList = corpusCodeList;
    }

    public CodeList getBaseCodeList() {
        return baseCodeList;
    }

    public void setBaseCodeList(CodeList baseCodeList) {
        this.baseCodeList = baseCodeList;
    }

    public int[] getLangIntegerArray() {
        return langIntegerArray;
    }

    public void setLangIntegerArray(int[] langIntegerArray) {
        this.langIntegerArray = langIntegerArray;
    }

}
