/* UtilLib - Copyright (c) 2011-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.format;


/**
 *
 * @author Vincent Calame
 */
public interface FormatConstants {

    public final static int MAX_POSITION = 999999999;
    public final static int UNDEFINED = -9;
    public final static short NO_CAST = 0;
    public final static short INTEGER_CAST = 1;
    public final static short DECIMAL_CAST = 2;
    public final static short DATE_CAST = 3;
    public final static String CALCUL_PARAMKEY = "calc";
    public final static String CAST_PARAMKEY = "cast";
    public final static String DEFAULTVALUE_PARAMKEY = "defval";
    public final static String FILLBYLAST_PARAMKEY = "fill";
    public final static String LIMIT_PARAMKEY = "limit";
    public final static String EMPTYTONULL_PARAMKEY = "null";
    public final static String POSITION_PARAMKEY = "pos";
    public final static String SELECTION_PARAMKEY = "selection";
    public final static String GLOBALSELECT_PARAMKEY = "globalselect";
    public final static String SEPARATOR_PARAMKEY = "sep";
    public final static String SUM_PARAMKEY = "sum";
    public final static String NEWLINE_PARAMVALUE = "NL";
    public final static String DATE_PARAMVALUE = "date";
    public final static String DECIMAL_PARAMVALUE = "decimal";
    public final static String INTEGER_PARAMVALUE = "integer";
    public final static String LAST_PARAMVALUE = "last";
    public final static String NO_PARAMVALUE = "no";
    public final static String DECIMAL_SUM_PARAMVALUE = "decimal";
    public final static String CURRENCY_SUM_PARAMVALUE = "currency";
}
